<?php
/**********************************************************************************
* Subs-BBCode-Sports.php
* @license	BSD http://opensource.org/licenses/BSD-3-Clause
***********************************************************************************
***********************************************************************************
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
**********************************************************************************/

function BBCode_Colorbox(&$bbc)
{
	// Format: [colorbox]#FA4[/colorbox]
	// Format: [colorbox]#FFAA44[/colorbox]
	// Format: [colorbox]rgb(255,170,68)[/colorbox]
	$bbc[] = array(
		'tag' => 'colorbox',
		'type' => 'unparsed_content',
		'test' => '(#([\da-fA-F]){3}(([\da-fA-F]){3})?\b|rgb\(\d{1,3}, ?\d{1,3}, ?\d{1,3}\))',
		'content' => '<span style="border:1px solid #000;display:inline-block;width:16px;height:16px;background-color:$1;" title="$1"></span>',
	);
}

function BBCode_Colorbox_Button(&$buttons)
{
	global $txt;
	$buttons[count($buttons) - 1][] = array(
		'image' => 'colorbox',
		'code' => 'colorbox',
		'before' => '[colorbox]',
		'after' => '[/colorbox]',
		'description' => $txt['bbc_colorbox'],
	);
}

?>